﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollectionsSortTest
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Person> persons = new List<Person>(){{new Person(2,"Curt",40)}, {new Person(1, "Bo", 20)}, {new Person(3, "Adam", 30)}};
            foreach (Person person in persons)
            {
                Console.WriteLine(person);
            }

            persons.Sort();
            Console.WriteLine();
            Console.WriteLine("Sort():");
            foreach (Person person in persons)
            {
                Console.WriteLine(person);
            }

            Console.WriteLine();
            persons.Sort(new PersonNameComparator());
            Console.WriteLine("Sort(new PersonNameComparator()):");
            foreach (Person person in persons)
            {
                Console.WriteLine(person);
            }

            Console.WriteLine();
            persons.Sort(new PersonAgeComparator());
            Console.WriteLine("Sort(new PersonAgeComparator()):");
            foreach (Person person in persons)
            {
                Console.WriteLine(person);
            }
        }
    }
}
